%define main_version 0.7
%define xsp_version 0.9
%define module_path %{_libdir}/apache2-extramodules
%define module_name mod_mono

Summary:	Mono module for Apache 2.
Name:		apache2-mod_mono
Version:	%{main_version}
Release:	2mdk
License:	Apache License
Group:		System/Servers
URL:		http://www.apacheworld.org/modmono
Source0:	http://go-mono.com/archive/%{module_name}-%{version}.tar.bz2
Source1:	http://go-mono.com/archive/xsp-%{xsp_version}.tar.bz2
BuildRoot:	%_tmppath/%name-root
BuildRequires:	apache2-devel
BuildRequires:	mono-devel
BuildRequires:	autoconf2.5
Requires:	apache2
Requires:	mono

%description
This is an experimental module that allows you to run ASP.NET
pages on Unix with Apache and Mono.
It includes some aspx C# scripts for testing.
Please read the included INSTALL file for how to get the mod-mono
server running.

%prep
%setup -q -n %{module_name}-%{version} -a 1

%build
# Build sample ASP.NET pages from xsp distribution
pushd xsp-%{xsp_version}
%configure
make
popd

# Build Apache Module
%configure --with-apxs=%{_sbindir}/apxs2
make

# Build Mono DLL
pushd src
make -f makedll.mak
popd

%install
rm -fr $RPM_BUILD_ROOT

pushd xsp-%{xsp_version}
install -d 755 $RPM_BUILD_ROOT%{_bindir}
install -d 755 $RPM_BUILD_ROOT%{_mandir}/man1
install server/mod-mono-server.exe $RPM_BUILD_ROOT%{_bindir}
install server/xsp.exe $RPM_BUILD_ROOT%{_bindir}
install tools/asp_state/asp_state.exe $RPM_BUILD_ROOT%{_bindir}
install doc/xsp.1 $RPM_BUILD_ROOT%{_mandir}/man1
popd

install -d 755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -d 755 $RPM_BUILD_ROOT%{module_path}
install -d 755 $RPM_BUILD_ROOT%{_var}/www/mono
install -d 755 $RPM_BUILD_ROOT%{_var}/www/.wapi

# Mono Configuration for Apache
cat > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/91_mod_mono.conf << EOF
AddType application/x-asp-net .aspx .ashx .asmx .ascx .asax .config .ascx
LoadModule mono_module extramodules/mod_mono.so
MonoUnixSocket /tmp/mod_mono_server
Listen 8080
Alias /mono "%{_defaultdocdir}/%{name}-%{version}/test"
EOF

install src/.libs/libmod_mono.so $RPM_BUILD_ROOT%{module_path}/mod_mono.so
install src/ModMono.dll $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL NEWS README xsp-%{xsp_version}/test
%{_bindir}/*
%{_mandir}/man1/*
%config %{_sysconfdir}/httpd/conf.d/91_mod_mono.conf
%{_libdir}/ModMono.dll
%{module_path}/mod_mono.so
%defattr(-,apache,apache)
%dir %{_var}/www/mono
%{_var}/www/mono/
%dir %{_var}/www/.wapi
%{_var}/www/.wapi/

%changelog
* Mon Feb 16 2004 Marcel Pol <mpol@mandrake.org> 0.7-2mdk
- fix description

* Sun Feb 08 2004 Marcel Pol <mpol@mandrake.org> 0.7-1mdk
- 0.7, it even works now
- require mono
- from Quel Qun <kelk1@hotmail.com>
    - drop source2, generate inside specfile
    - several spec changes

* Tue Aug 05 2003 Marcel Pol <mpol@gmx.net> 0.3.7-3mdk
- build for apache 2.0.47
- own dir

* Sat Jun 07 2003 Marcel Pol <mpol@gmx.net> 0.3.7-2mdk
- build for apache 2.0.46

* Tue May 13 2003 Marcel Pol <mpol@gmx.net> 0.3.7-1mdk
- 0.3.7

* Fri Apr 25 2003 Marcel Pol <mpol@gmx.net> 0.3.6-2mdk
- autoconf2.5
- build for apache 2.0.45

* Sun Mar 23 2003 Marcel Pol <mpol@gmx.net> 0.3.6-1mdk
- src.rpm from Quel Qun <kelk1@hotmail.com>
- more informative description

* Mon Feb 03 2003 Daniel Lopez Ridruejo <daniel @ rawbyte.com>
- Use --with-apxs
- License is Apache-style
- Change ownership to apache user
- Create .wapi directory
* Mon Feb 03 2003 David Hollis <dhollis@davehollis.com>
- 0.3.4
* Wed Jan 15 2003 David Hollis <dhollis@davehollis.com>
- Initial spec

